Subject: [multipathtcp] Multipath TCP for FreeBSD v0.4

From: Nigel Williams <[email-masked]>
Date: Fri, 11 Jul 2014 16:46:36 +1000

Hello all,

A new v0.4 patch is available at [1]. This release is mostly bug-fixes 
and improvements to core functionality (establishing/closing 
connections, retransmissions etc), and also brings the implementation up 
to a more recent version of FreeBSD-HEAD.

The full list of changes and caveats can be found in [2] and [3], but 
briefly:
- Patched against r265307 of FreeBSD-HEAD. This is prior to some recent 
TCP reassembly memory management changes and the patch will be brought 
up to a newer revision soon (currently working on integrating those 
changes).
- Added data-level retransmits and subflows can now stall and recover 
(or timeout) during a connection.
- The path management and packet scheduler are still fairly rudimentary, 
and I haven't yet implemented coupled CC.
- The patch is still under heavy development so consider this release 
code to be of alpha quality.

This release ties up work that was partially supported by a gift from 
The Cisco University Research Program Fund. Future releases will be 
supported by a grant from the FreeBSD Foundation.

P.S. I will be working on the patch full-time again so updates should be 
a little more frequent from this point onwards.

cheers,
nigel

[1] http://caia.swin.edu.au/urp/newtcp/mptcp/tools.html
[2] http://caia.swin.edu.au/urp/newtcp/mptcp/tools/mptcp-changelog-v0.4.txt
[3] http://caia.swin.edu.au/urp/newtcp/mptcp/tools/mptcp-readme-v0.4.txt

On 17/04/13 11:16, Nigel Williams wrote:
> Hi all,
>
> A new update is now available at [1]. This patch fixes a number of known
> stability issues (see changelog [2]). The readme [3] has also been
> updated. As with v0.2, this release code is considered to be of alpha
> quality.
>
> Cheers,
> Nigel, Lawrence and Grenville
>
> http://caia.swin.edu.au
>
>
> [1] http://caia.swin.edu.au/urp/newtcp/mptcp/tools.html
>
> [2] http://caia.swin.edu.au/urp/newtcp/mptcp/tools/mptcp-changelog-v0.3.txt
>
> [3] http://caia.swin.edu.au/urp/newtcp/mptcp/tools/mptcp-readme-v0.3.txt
> _______________________________________________
> multipathtcp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/multipathtcp

---

From: Yoshifumi Nishida <[email-masked]>
Date: Fri, 11 Jul 2014 00:45:37 -0700

Hi Nigel!,

This is great news! Thanks for the efforts!
--
Yoshi

On Thu, Jul 10, 2014 at 11:46 PM, Nigel Williams <[email-masked]>
wrote:

> Hello all,
>
> A new v0.4 patch is available at [1]. This release is mostly bug-fixes and
> improvements to core functionality (establishing/closing connections,
> retransmissions etc), and also brings the implementation up to a more
> recent version of FreeBSD-HEAD.
>
> TCP reassembly memory management changes and the patch will be brought up
> to a newer revision soon (currently working on integrating those changes).
> - Added data-level retransmits and subflows can now stall and recover (or
> timeout) during a connection.
> - The patch is still under heavy development so consider this release code
> to be of alpha quality.
>
> This release ties up work that was partially supported by a gift from The
> Cisco University Research Program Fund. Future releases will be supported
> by a grant from the FreeBSD Foundation.
>
> P.S. I will be working on the patch full-time again so updates should be a
> little more frequent from this point onwards.
>
> cheers,
> nigel
>